<div class="fm-row">
  <div class="row" style="padding-top: 20px;">
    <div class="col-sm-12 text-right">
      <div class="col-sm-6 row text-left">
        <input id="pickup-input" class="form-control" type="text" placeholder="Enter pickup location">
      </div>
      <button class="btn btn-sm btn-primary red" (click)="deleteSelectedOverlay()">
        <i aria-hidden="true" class="fa fa-eraser"></i> Delete Selected</button>
      <button class="btn btn-sm btn-primary green" (click)="zoneSave()">
          <i aria-hidden="true" class="fa fa-floppy-o"></i> Zone Save</button>
    </div>
  </div>
 
  <ngui-map (mapReady$)="onMapReady($event)" class="maping" [center]=center [zoom]="16"
    [zoomControlOptions]="{position: 'TOP_RIGHT'}" [fullscreenControl]="true"
    [fullscreenControlOptions]="{position: 'TOP_RIGHT'}" [scrollwheel]="false">

    <traffic-layer></traffic-layer>

    <drawing-manager [drawingControl]="true" [drawingControlOptions]="{
            position: 4,
            drawingModes: ['polygon']
           }"
     [rectangleOptions]="{
            fillColor: '#BCDCF9',
            strokeOpacity: 1,
            fillOpacity: 0.75,
            strokeWeight: 3,
            editable: false,
            clickable: true,
            strokeColor: '#57ACF9',
            zIndex: 1
          }"
     [polygonOptions]="{
            fillColor: '#BCDCF9',
            strokeOpacity: 1,
            fillOpacity: 0.75,
            strokeWeight: 3,
            editable: false,
            clickable: true,
            strokeColor: '#57ACF9',
            zIndex: 1
          }"
          >
    </drawing-manager>
  </ngui-map>
</div>